+++
title = "Enabling Workspaces"
+++
# Enabling Workspaces

Each of the supported desktop environments in Solus provide support for workspaces, enabling you to group various application windows into their own dedicated space and switch between them.

## Budgie

Budgie enables the switching of workspaces via the Workspace Switcher. You can enable workspaces in Budgie by adding the Workspace Switcher applet to Raven.

Open Raven using the shortcut `Windows Key + A` or use your mouse to open Raven in the far right of the main Budgie panel.

Click the Raven settings 'cog' icon {{< altimg "raven-settings-cog.jpg" "help-center/configuration/enabling-workspaces/" >}}

Click the Panel button, then in the Applets section, click the '+' button.

Find the Workspace Switcher entry and select it. Click the '+' button at the top of the panel. This will add the Workspace Switcher to the center section, as shown below.

{{< altimg "budgie-workspace-applet.jpg" "help-center/configuration/enabling-workspaces/" >}}

You should now see your workspaces available in the main Budgie panel.

{{< altimg "budgie-workspaces.jpg" "help-center/configuration/enabling-workspaces/" >}}

### Keyboard Shortcuts

Budgie provides a variety of keyboard shortcuts for workspaces.

To view these shortcuts open the Keyboard application and scroll to the Navigation section.

{{< altimg "workspace-shortcuts-gcc.jpg" "help-center/configuration/enabling-workspaces/" >}}

### Workspaces Configuration

There are 4 workspaces available in Budgie by default. If you would like to change this, you will need to install the
GNOME Tweak Tool, available in the Software Center.

Once installed, open Tweak Tool and click on the Workspaces entry in the main panel to change the number of available
workspaces.

<video src="/vids/GNOME-Workspace-Switch.mp4" autoplay="autoplay" loop="loop" width="740" height="416"></video>

## GNOME

GNOME enables the switching of workspaces via the Workspace Switcher on the right side of the Activities Overview screen. Application windows can be dragged from the Activities Overview to a workspace, whether it is empty / new, or one that already has windows in it.

{{< altimg "workspace-switcher-gnome.jpg" "help-center/configuration/enabling-workspaces/" >}}

### Keyboard Shortcuts

GNOME provides a variety of keyboard shortcuts for workspaces.

To view these shortcuts open the Keyboard application and scroll to the Navigation section.

{{< altimg "workspace-shortcuts-gcc.jpg" "help-center/configuration/enabling-workspaces/" >}}